Get a paginated list of security findings. Can be scoped to a specific repository or project using query parameters.
curl --request GET \
--url https://api.ghostsecurity.ai/v2/findings \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"items": [
{
"agent": {
"custom_agent_vector_id": "<string>",
"description": "<string>",
"name": "<string>",
"vector": "<string>"
},
"created_at": "<string>",
"details": {
"code": "<string>",
"description": "<string>",
"endpoint_locations": [
{
"action": "<string>",
"path": "<string>",
"type": "<string>"
}
],
"exploit_feasibility": "<string>",
"exploit_walkthrough": "<string>",
"fixed_code": "<string>",
"location": {
"class_name": "<string>",
"file_path": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
},
"remediation": "<string>",
"remediation_effort": "<string>",
"severity": "<string>",
"supporting_files": [
{
"class_name": "<string>",
"file_path": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"validation_evidence": [
{
"criteria": "<string>",
"rationale": "<string>"
}
]
},
"id": "<string>",
"organization_id": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"purpose": "<string>"
},
"repo": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"url": "<string>"
},
"scan_details": {
"analyzed_at": "<string>",
"rejected_at": "<string>",
"scan_id": "<string>",
"verified_at": "<string>"
},
"status": "<string>",
"updated_at": "<string>",
"user_status": "<string>"
}
],
"next_cursor": "eyJzb3J0X3ZhbHVlIjoiMjAyNC0wMS0xNVQxMDozMDowMFoiLCJkb2N1bWVudF9pZCI6InJlcG8xMjMiLCJzb3J0X2ZpZWxkIjoiY3JlYXRlZF9hdCJ9",
"total": 250
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pagination cursor
Sort field
created_at, updated_at Sort order
asc, desc Page size
1 <= x <= 1000Filter by status
open, active, muted Filter by repository ID
Filter by project ID
OK
Indicates if there are more items available
true
The response items
Show child attributes
Finding Details
Show child attributes
Status and timestamps
Cursor for the next page
"eyJzb3J0X3ZhbHVlIjoiMjAyNC0wMS0xNVQxMDozMDowMFoiLCJkb2N1bWVudF9pZCI6InJlcG8xMjMiLCJzb3J0X2ZpZWxkIjoiY3JlYXRlZF9hdCJ9"
Total count of items (if available)
250
curl --request GET \
--url https://api.ghostsecurity.ai/v2/findings \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"items": [
{
"agent": {
"custom_agent_vector_id": "<string>",
"description": "<string>",
"name": "<string>",
"vector": "<string>"
},
"created_at": "<string>",
"details": {
"code": "<string>",
"description": "<string>",
"endpoint_locations": [
{
"action": "<string>",
"path": "<string>",
"type": "<string>"
}
],
"exploit_feasibility": "<string>",
"exploit_walkthrough": "<string>",
"fixed_code": "<string>",
"location": {
"class_name": "<string>",
"file_path": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
},
"remediation": "<string>",
"remediation_effort": "<string>",
"severity": "<string>",
"supporting_files": [
{
"class_name": "<string>",
"file_path": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"validation_evidence": [
{
"criteria": "<string>",
"rationale": "<string>"
}
]
},
"id": "<string>",
"organization_id": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"purpose": "<string>"
},
"repo": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"url": "<string>"
},
"scan_details": {
"analyzed_at": "<string>",
"rejected_at": "<string>",
"scan_id": "<string>",
"verified_at": "<string>"
},
"status": "<string>",
"updated_at": "<string>",
"user_status": "<string>"
}
],
"next_cursor": "eyJzb3J0X3ZhbHVlIjoiMjAyNC0wMS0xNVQxMDozMDowMFoiLCJkb2N1bWVudF9pZCI6InJlcG8xMjMiLCJzb3J0X2ZpZWxkIjoiY3JlYXRlZF9hdCJ9",
"total": 250
}